ros-noetic-cob-omni-drive-controller (0.8.21-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 03 Jan 2023 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.20-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.19-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.18-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.17-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 22 Dec 2021 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.16-1buster) buster; urgency=high

  * Merge pull request #259 <https://github.com/ipa320/cob_control/issues/259> from HannesBachter/feature/invert_odom
    [melodic] Feature/invert odom
  * rename to invert_odom_tf
  * switch frame_id and child_frame_id when invert_odom
  * set invert_odom param to false by default
  * introduce invert_odom param
  * publish inverted transform for odometry
  * Contributors: Felix Messmer, HannesBachter

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 18 Oct 2021 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.15-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 16 May 2021 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.14-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 May 2021 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.13-1buster) buster; urgency=high

  * Merge pull request #251 <https://github.com/ipa320/cob_control/issues/251> from fmessmer/melodic/TF_REPEATED_DATA
    [melodic] add check and logs for TF_REPEATED_DATA
  * add check and logs for TF_REPEATED_DATA
  * Merge pull request #247 <https://github.com/ipa320/cob_control/issues/247> from fmessmer/fix_catkin_lint_melodic
    [melodic] fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Apr 2021 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.12-1buster) buster; urgency=high

  * Merge pull request #243 <https://github.com/ipa320/cob_control/issues/243> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 20 Oct 2020 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.11-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Mar 2020 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.10-1buster) buster; urgency=high

  * Merge pull request #226 <https://github.com/ipa320/cob_control/issues/226> from fmessmer/ci_updates_melodic
    [travis] ci updates - melodic
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.1-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.0-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 08 Aug 2019 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.7.8-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 08 Aug 2019 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.7.7-1buster) buster; urgency=high

  * Merge pull request #208 <https://github.com/ipa320/cob_control/issues/208> from ipa-jba/melodic_dev
    [Melodic] melodify
  * use urdf::JointConstSharedPtr instead of boost...
  * Contributors: Felix Messmer, Jannik Abbenseth

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.7.6-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.7.5-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 19 May 2019 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.7.4-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.7.3-1buster) buster; urgency=high

  * Merge pull request #196 <https://github.com/ipa320/cob_control/issues/196> from fmessmer/split_parseWheelTransform
    controller specific parseWheelTransform
  * split parseWheelTransform
  * Merge pull request #190 <https://github.com/ipa320/cob_control/issues/190> from fmessmer/new_tricycle_controller_kinetic
    new tricycle controller kinetic
  * implement additional config parameter
  * introduce cob_base_controller_utils package
  * parseWheelTransform from urdf
  * missing includes for cob_omni_drive_controller
  * Contributors: Felix Messmer, fmessmer, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.7.2-1buster) buster; urgency=high

  * update maintainer
  * Merge pull request #177 <https://github.com/ipa320/cob_control/issues/177> from benmaidel/fix/wheel_transform
    fix wheel transformation from urdf
  * user robotmodel root link for wheel transformation
  * fixed tf2 includes
  * read whole transformation chain between wheel and base_link
  * Merge pull request #186 <https://github.com/ipa320/cob_control/issues/186> from ipa-fxm/kinetic/fix/max_wheel_rate_from_urdf
    read max_wheel_rates from urdf
  * read max_wheel_rates from urdf
  * Merge pull request #140 <https://github.com/ipa320/cob_control/issues/140> from ipa-mdl/feature/wheel-multi-controller-refactored
    [kinetic] wheel multi controller refactored
  * add multi interface wheel controller
  * Contributors: Benjamin Maidel, Felix Messmer, Mathias Lüdtke, fmessmer, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.7.1-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/kinetic_release_candidate' into kinetic_dev
  * Merge pull request #169 <https://github.com/ipa320/cob_control/issues/169> from ipa-fxm/kinetic_updates_indigo
    Kinetic updates indigo
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_control into kinetic_dev
    Conflicts:
    .travis.yml
  * Merge pull request #164 <https://github.com/ipa320/cob_control/issues/164> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #159 <https://github.com/ipa320/cob_control/issues/159> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <felixmessmer@gmail.com>  Sat, 06 Jan 2018 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.7.0-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.6.15-1buster) buster; urgency=high

  * remove sympy implementation and dependency
  * implement setting pos ctrl params with  dynamic_reconfigure
  * dynamic reconfigure config for SteerCtrl parameter
  * refactored cob_omni_wheel_controller classes
  * add test scripts
  * manually fix changelog
  * Contributors: Felix Messmer, Mathias Lüdtke, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.6.14-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 Oct 2016 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.6.13-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 Oct 2016 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.6.12-1buster) buster; urgency=high

  * added stuck detector node
  * publish WheelCommands, rate devided by pub_divider
  * introduced WheelCommand, outputs state and steer target error
  * Contributors: Mathias Lüdtke

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 Oct 2016 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.6.11-1buster) buster; urgency=high

  * remove leading slashes and use odom as default
  * configurable odometry_controller
  * [hotfix] compile error
  * Contributors: ipa-fmw, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.6.10-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 30 Aug 2015 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.6.9-1buster) buster; urgency=high

  * boost revision
  * explicit dependency to boost
  * more dependency fixes according to review comments
  * explicit dependency to boost
  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * review dependencies
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 24 Aug 2015 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.6.8-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 16 Jun 2015 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.6.7-1buster) buster; urgency=high

  * migrated to std_srvs/Trigger
  * improved realtime behavoíour, no updates can get lost anymore
  * added dependency on cob_srvs, fixed c&p bug
  * do not reset odometry on restarts
  * fixed reset service: compiles again and thread/RT-safe
  * added service to reset odometry to zero
  * rename topic as agreed
  * update examples
  * support for wheel struct
  * Handle XmlRpcValue parsing error, special case for double
  * fix for logic bug
  * init to neutral position works now
  * so not reset target on reset(), should be done externally if needed
  * fixed copy&paste bugs
  * added controller type in examples
  * try_read is now read_with_default
  * validity checks  for wheel_radius
  * introduced read_optional, fixed URDF parsing
  * steer_name and drive_name are now read from steer and drive paramater (as in examples)
  * logic bug
  * publish_rate was used as duration, added validity check
  * advertise odom topic
  * UndercarriageCtrl::reset got lost during split-up
  * refactored WheelController to improve locking behaviour, implement timeout and limit checks
  * reset Target to zero on reset()
  * expose UndercarriageCtrl::limitValue with limit validity check
  * updated examples
  * splitted UndercarriageCtrlGeom into UndercarriageGeomBase, UndercarriageGeom and UndercarriageCtrl
  * enforced lower camel case methods
  * removed parseIniFiles
  * added example yamls
  * implemented parseWheelParams with URDF look-up
  * limit steer and drive rate if specified
  * added WheelParams::dSteerDriveCoupling, WheelData::dFactorVel is now filled automatically
  * removed debugging output
  * adaptet constructor of WheelData to set the neutralPos of a wheel
  * Merge branch 'omni_wheel' of https://github.com/olgen2013/cob_control into omni_wheel
  * fix assignment bug
  * online/robot modifications
  * fixed assignment bug and added console out put for online-testing
  * improved INI parsing
  * migrated to shared implementation of GeomController
  * verbose exception handling
  * library path was wrong
  * Contributors: Florian Weisshardt, Joshua Hampp, Mathias Lüdtke, ipa-fxm, mig-jg

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 16 Jun 2015 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.6.6-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 17 Dec 2014 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.6.5-1buster) buster; urgency=high

  * Merge branch 'indigo_dev' into indigo_release_candidate
  * add dep
  * Contributors: Florian Weisshardt

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 17 Dec 2014 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.6.4-1buster) buster; urgency=high

  * Merge branch 'indigo_dev' into indigo_release_candidate
  * update deps
  * Contributors: Florian Weisshardt

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 15 Dec 2014 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.6.3-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 15 Dec 2014 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.6.2-1buster) buster; urgency=high

  * added plugin desctiption and install tags
  * added plugins
  * added GeomController Helper
  * further dependencies
  * added Boost dependency
  * added OdometryTracker
  * removed unused member
  * added SI function to PlatformState
  * added INI file parsing
  * added reset to UndercarriageCtrlGeom/::Wheel
  * restructured and optimised version
  * simplified GetNewCtrlStateSteerDriveSetValues
  * got rid of m_dCmdRotVelRadS
  * refactored GetActualPltfVelocityVelocity
  * downstripped version
  * introduced resetController
  * version without IniFile and MathSup
  * original version of UndercarriageCtrlGeom
  * Contributors: Mathias Lüdtke
  * added plugin desctiption and install tags
  * added plugins
  * added GeomController Helper
  * further dependencies
  * added Boost dependency
  * added OdometryTracker
  * removed unused member
  * added SI function to PlatformState
  * added INI file parsing
  * added reset to UndercarriageCtrlGeom/::Wheel
  * restructured and optimised version
  * simplified GetNewCtrlStateSteerDriveSetValues
  * got rid of m_dCmdRotVelRadS
  * refactored GetActualPltfVelocityVelocity
  * downstripped version
  * introduced resetController
  * version without IniFile and MathSup
  * original version of UndercarriageCtrlGeom
  * Contributors: Mathias Lüdtke

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 14 Dec 2014 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.6.1-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 21 Sep 2014 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.6.0-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 17 Sep 2014 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.5.4-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 26 Aug 2014 08:26:00 -0000

ros-noetic-cob-omni-drive-controller (0.1.0-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 26 Aug 2014 08:23:00 -0000


